clang-tools 10.0.0

Public Member Functions | List of all members
clang::find_all_symbols::YamlReporter Class Reference
Inheritance diagram for clang::find_all_symbols::YamlReporter:
[legend]
Collaboration diagram for clang::find_all_symbols::YamlReporter:
[legend]

## Public Member Functions
void | reportSymbols (StringRef FileName, const SymbolInfo::SignalMap &Symbols) override
Public Member Functions inherited from clang::find_all_symbols::SymbolReporter
virtual | ~SymbolReporter ()=default
virtual void | reportSymbols (llvm::StringRef FileName, const SymbolInfo::SignalMap &Symbols)=0

## Detailed Description

Definition at line 62 of file FindAllSymbolsMain.cpp.

## Member Function Documentation

## ◆ reportSymbols()

void clang::find_all_symbols::YamlReporter::reportSymbols | ( | StringRef | FileName,
|  | const SymbolInfo::SignalMap & | Symbols
| ) |  |
| inline override

Definition at line 64 of file FindAllSymbolsMain.cpp.

References FileName, OutputDir(), and Symbols.

The documentation for this class was generated from the following file:

- FindAllSymbolsMain.cpp